Bug 289348 - Set custom notifications for group chats separately to 1-1 chats
Summary: Set custom notifications for group chats separately to 1-1 chats
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR task
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2011-12-19 11:26 UTC by Niels van Mourik
Modified: 2013-11-12 22:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niels van Mourik 2011-12-19 11:26:27 UTC
Version:           unspecified (using KDE 4.7.2) 
OS:                Linux

Hi,

The current implementation of conference chats (using a XMPP chatroom)
notifies the user through KDE's message indicator for every message,
which is annoying. I've checked the list of notifications the UI declares
but only "Incoming chat message" shows up.

I'd suppose a small change and default behavior should fix this.

Niels

Reproducible: Didn't try

Steps to Reproduce:
- Add an account that has groupschat, e.g. Jabber.
- Join a chatroom and hide the window.
- Notice KDE's popups for every message instead of relevant messages.


Expected Results:  
-
Comment 1 Venky 2012-04-09 04:03:30 UTC
I have the same issue..IRC every message is shown
Comment 2 David Edmundson 2012-04-09 10:43:18 UTC
So we should do different notifications for group and single user chats?

Initially I hadn't because for a 3-way conversation you'd probably still want all the notifications, but IRC you don't. I'm not sure if there's a good solution to solving every case?

For now tasks are:
 - create a new set in the notifyrc file duplicating what's there for 1-1 chat. Namely
    - Incoming Message in an active window (In a group chat)
    - Incoming Message in an inactive window (In a group chat)
    - Highlighted Message (in a group chat)
- Make these top two new entries default to do nothing, the last one the same as 1-1.
- Emit the correct notification when we receive a message

This should nicely solve the issue, whilst still allowing people to enable it if they chose.
Comment 3 Niels van Mourik 2012-09-12 08:17:07 UTC
Having worked with several group chat (MUC) clients on XMPP servers and IRC I think it's the very default behavior among all them: only get notified if your name is mentioned. Your steps look sufficient but I'm not into the code enough to be able to comment on it.

Thanks!
Comment 4 Hyacinthe Cartiaux 2012-09-12 08:25:35 UTC
In fact, with xmpp and multi user chat, you configure the server to send the history of a room when a user join it:  http://xmpp.org/extensions/xep-0045.html#enter-history

I'm using a server which sends the last week of history, so when I join a chatroom, telepathy spawns thousands of notifications during at least 1 or 2 minutes.
Comment 5 Niels van Mourik 2012-09-12 08:29:54 UTC
@Hyacinthe Cartiaux:
My XMPP server does the same thing, I autojoin 7 channels using PSI and all the chat history is there. However, it does not send a notification for every highlighted message but highlights the window at the first mention. In usage this seems a very gentle approach.
Comment 6 David Edmundson 2012-09-12 08:43:37 UTC
(In reply to comment #4)
> In fact, with xmpp and multi user chat, you configure the server to send the
> history of a room when a user join it: 
> http://xmpp.org/extensions/xep-0045.html#enter-history
> 
> I'm using a server which sends the last week of history, so when I join a
> chatroom, telepathy spawns thousands of notifications during at least 1 or 2
> minutes.

Please stick to one bug per bug report, otherwise everything gets impossible to track. Reopened your comments as https://bugs.kde.org/show_bug.cgi?id=306650
Comment 7 Leon Handreke 2013-11-08 12:23:37 UTC
Git commit 07fdf03fbf3576beef54601ecd595493e8215100 by Leon Handreke.
Committed on 08/11/2013 at 12:18.
Pushed by leonh into branch 'master'.

Introduce new notification types for messages received in group chats

Removed highlight notification type for 1-to-1 chats. There are now the
following 6 notification types for received messages:
* 1-to-1 chat message received (active/inactive window)
* Group chat highlight received (active/inactive window)
* Group chat message received (active/inactive window)
REVIEW: 113134

M  +11   -5    lib/notify-filter.cpp

http://commits.kde.org/telepathy-text-ui/07fdf03fbf3576beef54601ecd595493e8215100
Comment 8 Leon Handreke 2013-11-12 22:22:51 UTC
Git commit 9ce376bdd74b415cdd427ee5d28855850c996d7a by Leon Handreke.
Committed on 06/10/2013 at 14:57.
Pushed by leonh into branch 'master'.

Add default settings for new group chat notification types

In a group chat, only highlights should trigger a notification by
default.

Remove notification type for highlights in 1-to-1 chats.

REVIEW: 113133

M  +39   -86   data/ktelepathy.notifyrc

http://commits.kde.org/telepathy-common-internals/9ce376bdd74b415cdd427ee5d28855850c996d7a